#
# spec file for package nagiosgrapher (Version 1.7.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
%define	pkgname	NagiosGrapher

%if 0%{?suse_version}
%define webroot        /srv/www
%define _disttag        suse
%define _distversion    %{suse_version}
%define apa             apache2
%define apa_vh_dir      vhosts.d
%define apa_usr		wwwrun
%define apa_grp		www

%if 0%{?sles_version}
%define _disttag        sles
%define _distversion    %{sles_version}
%endif

%endif

%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version}
%define webroot        /var/www
%define apa             httpd
%define apa_vh_dir      conf.d
%define apa_usr		apache
%define apa_grp		apache

%if 0%{?centos_version}
%define _disttag        centos
%define _distversion    %{centos_version}
%endif

%if 0%{?fedora_version}
%define _disttag        fedora
%define _distversion    ""
%endif

%if 0%{?rhel_version}
%define _disttag        centos
%define _distversion    5
%endif

%endif


Name:           nagiosgrapher
BuildRequires:  apache2 nagios nagios-www
License:        GNU General Public License (GPL)
Group:          System/Monitoring
Version:        1.7.1
Release:        8.4
Source0:        %{pkgname}-1.7.1.tar.bz2
Source1:        nagiosgrapher.logrotate
Source2:        nagiosgrapher
Source3:        nagiosgrapher.README.SuSE
Patch0:         %{pkgname}-%{version}-Makefile.patch
URL:            https://www.nagiosforge.org/gf/project/nagiosgrapher/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        NagiosGrapher collects the output of NagiosPlugins and generates graphs.
PreReq:         http_daemon
Requires:       nagios nagios-www perl-Calendar-Simple perl-GD perl-PerlMagick perl-URI rrdtool perl-NagiosGrapher

%description
The "NETWAYS Nagios Grapher" is a Graphing system which uses templates
to assign services to various data sources (RRDs). Thus it is possible
to create a quantity of graphs using only a small configuration,
keeping it easy to manage. These templates are automatically applied to
incoming data, thus creating a new service in Nagios will automatically
create the graph once valid data is seen for that service. Corrolations
between different graphs is also possible.


Authors:
--------
    Marius Hein
    Gerd Mueller


%package -n perl-NagiosGrapher
Group:		System/Monitoring
Summary:	Perl Modules for NagiosGrapher

%description -n perl-NagiosGrapher
This package includes required perl modules for NagiosGrapher. 


Authors:
--------
    Marius Hein
    Gerd Mueller

%prep
%setup -n %{pkgname}-%{version}
%if 0%{?suse_version}
cp %{S:3} README.SuSE
%endif
%patch0

%build
autoreconf --force --install
CFLAGS="-fno-strict-aliasing $RPM_OPT_FLAGS" \
 ./configure \
 --prefix=%{_prefix} \
 --libdir=%{_prefix}/lib \
 --exec-prefix=%{_prefix}/sbin \
 --bindir=%{_prefix}/sbin \
 --sbindir=%{_prefix}/lib/nagios/cgi \
 --libexecdir=%{_prefix}/lib/nagios/plugins \
 --datadir=%{_datadir} \
 --sysconfdir=/etc/nagios \
 --localstatedir=/var/log/nagios \
 --with-layout=pld_linux \
 --with-distro=%{_disttag} \
 --with-web-user=%{apa_usr} \
 --with-web-group=%{apa_grp} \
 --with-ng-interface=pipe \
 --with-ng-loglevel=63
#make testdeps

%install
%makeinstall PERL_INC=%{perl_vendorlib}
%perl_process_packlist
install -d -m 0755 $RPM_BUILD_ROOT/usr/sbin
rm $RPM_BUILD_ROOT/etc/init.d/nagios_grapher
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/init.d/nagiosgrapher
ln -sf /etc/init.d/nagiosgrapher $RPM_BUILD_ROOT/usr/sbin/rcnagiosgrapher
install -d -m 0755 ${RPM_BUILD_ROOT}/etc/logrotate.d/
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/nagiosgrapher
mkdir -p %{buildroot}/var/run/nagios_grapher
mkdir -p %{buildroot}/var/lib/nagios/rw
mkdir -p %{buildroot}/var/lib/nagios/nagios_grapher
rm -f $RPM_BUILD_ROOT/usr/lib/nagios/contrib/*.c
rm -f $RPM_BUILD_ROOT/var/log/nagios/ngraph.log
rm -f $RPM_BUILD_ROOT/%{perl_vendorlib}/NagiosGrapher/Hooks/SrvExtWriteHostextInfo.pm.orig
rm -f $RPM_BUILD_ROOT/etc/logrotate.d/nagios_grapher

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.SuSE doc/*
%doc contrib/nagios.initscript.patch
%attr(755,root,root)/etc/init.d/nagiosgrapher
%config /etc/nagios/ngraph.d
%config(noreplace) /etc/nagios/ngraph.ncfg
%config /etc/logrotate.d/nagiosgrapher
%attr(775,nagios,nagios) /etc/nagios/serviceext
%dir %{_prefix}/lib/nagios
%dir %{_prefix}/lib/nagios/grapher
%attr(755,root,root) %{_prefix}/lib/nagios/cgi/*.cgi
%attr(755,root,root) %{_prefix}/lib/nagios/grapher/*
%attr(755,nagios,nagios)/var/lib/nagios/rrd
/usr/sbin/rcnagiosgrapher
%attr(644,root,root)%{_datadir}/nagios/images/*.png
%attr(644,root,root)%{_datadir}/nagios/images/logos/*.png
%defattr(-,nagios,nagios)
%dir /var/lib/nagios
%dir /var/lib/nagios/rw
%dir /var/lib/nagios/nagios_grapher
%dir /var/run/nagios_grapher

%files -n perl-NagiosGrapher
%defattr(-,root,root)
%dir %{perl_vendorlib}/NagiosGrapher
%dir %{perl_vendorlib}/NagiosGrapher/Hooks
%{perl_vendorlib}/NagiosGrapher.pm
%{perl_vendorlib}/NagiosGrapher/HTML.pm
%{perl_vendorlib}/NagiosGrapher/Hooks/*.pm

%changelog
* Mon Jan 26 2009 Carsten Schoene <cs@linux-administrator.com>
- update to release 1.7.1
* Mon Mar 12 2007 - tsieden@suse.de
- update to version 1.6.1-RC3
  * fixed Pipe handling
  * fixed Month -1 Bug
  * fixed lower_limit
- fixed build (norootforbuild)
* Sun Dec 03 2006 - tsieden@suse.de
- removed BuildRequires which are not implicitly needed for build
- "notes" functionality (wiki link) disabled by default
- beautify /etc/nagios/ngraph.ncfg, removed unneeded username
* Sat Dec 02 2006 - tsieden@suse.de
- update to version 1.6.1-RC2
  * fixed Pagebrowser
  * page also for GPRINTS/COMMENTS
  * new layouts
  * mod_perl compatibility
* Fri Nov 17 2006 - tsieden@suse.de
- fixed permissions for logo pngs
- added missing includes to udpecho.c
* Thu Nov 16 2006 - tsieden@suse.de
- changed rrd dir to /var/lib/nagios/rrd (#221791)
- fixed build (typo in configure.ac)
- cleaned spec file
* Tue Oct 31 2006 - tsieden@suse.de
- initial release 1.6.1-RC1
